Index: uspace/drv/ohci/root_hub.c
===================================================================
--- uspace/drv/ohci/root_hub.c	(revision 5c1a65eaff89a7a535a118d7c745e903ae5f2eee)
+++ uspace/drv/ohci/root_hub.c	(revision 6ab7f3e94742316cc6a565a1bcb864ad3709c914)
@@ -117,5 +117,5 @@
  */
 static const uint32_t hub_clear_feature_by_writing_one_mask =
-   RHS_CLEAR_PORT_POWER;
+    RHS_CLEAR_PORT_POWER;
 
 /**
@@ -412,5 +412,5 @@
 	request->transfered_size = 4;
 	uint32_t data = instance->registers->rh_port_status[port - 1];
-	memcpy(request->data_buffer,&data,4);
+	memcpy(request->data_buffer, &data, 4);
 #if 0
 	int i;
@@ -445,5 +445,5 @@
 	uint32_t data = mask & instance->registers->rh_status;
 	//uint32_buffer[0] = mask & instance->registers->rh_status;
-	memcpy(request->data_buffer,&data,4);
+	memcpy(request->data_buffer, &data, 4);
 
 	return EOK;
@@ -499,5 +499,5 @@
 	    | (1 << (USB_HUB_FEATURE_C_HUB_OVER_CURRENT + 16));
 	bzero(bitmap, instance->interrupt_mask_size);
-	if ((instance->registers->rh_status & mask) !=0 ) {
+	if ((instance->registers->rh_status & mask) != 0) {
 		bitmap[0] = 1;
 	}
@@ -925,5 +925,6 @@
  * @return
  */
-static int process_interrupt_mask_in_instance(rh_t *instance, usb_transfer_batch_t * request) {
+static int process_interrupt_mask_in_instance(rh_t *instance,
+    usb_transfer_batch_t * request) {
 	memcpy(request->data_buffer, instance->interrupt_buffer,
 	    instance->interrupt_mask_size);
@@ -945,5 +946,5 @@
  * @return
  */
-static bool is_zeros(void * buffer, size_t size) {
+static bool is_zeros(void *buffer, size_t size) {
 	if (!buffer) return true;
 	if (!size) return true;
Index: uspace/drv/uhci-rhd/port.h
===================================================================
--- uspace/drv/uhci-rhd/port.h	(revision 5c1a65eaff89a7a535a118d7c745e903ae5f2eee)
+++ uspace/drv/uhci-rhd/port.h	(revision 6ab7f3e94742316cc6a565a1bcb864ad3709c914)
@@ -55,6 +55,5 @@
 
 /** UHCI port structure */
-typedef struct uhci_port
-{
+typedef struct uhci_port {
 	const char *id_string;
 	port_status_t *address;
@@ -68,6 +67,6 @@
 
 int uhci_port_init(
-  uhci_port_t *port, port_status_t *address, unsigned number,
-  unsigned usec, ddf_dev_t *rh);
+    uhci_port_t *port, port_status_t *address, unsigned number,
+    unsigned usec, ddf_dev_t *rh);
 
 void uhci_port_fini(uhci_port_t *port);
Index: uspace/drv/usbhub/port_status.h
===================================================================
--- uspace/drv/usbhub/port_status.h	(revision 5c1a65eaff89a7a535a118d7c745e903ae5f2eee)
+++ uspace/drv/usbhub/port_status.h	(revision 6ab7f3e94742316cc6a565a1bcb864ad3709c914)
@@ -64,6 +64,5 @@
  */
 static inline void usb_hub_set_port_status_request(
-	usb_device_request_setup_packet_t * request, uint16_t port
-	) {
+    usb_device_request_setup_packet_t *request, uint16_t port) {
 	request->index = port;
 	request->request_type = USB_HUB_REQ_TYPE_GET_PORT_STATUS;
@@ -79,6 +78,5 @@
  */
 static inline void usb_hub_set_hub_status_request(
-	usb_device_request_setup_packet_t * request
-	) {
+    usb_device_request_setup_packet_t *request) {
 	request->index = 0;
 	request->request_type = USB_HUB_REQ_TYPE_GET_HUB_STATUS;
@@ -95,6 +93,6 @@
 static inline usb_device_request_setup_packet_t *
 usb_hub_create_port_status_request(uint16_t port) {
-	usb_device_request_setup_packet_t * result =
-		malloc(sizeof(usb_device_request_setup_packet_t));
+	usb_device_request_setup_packet_t *result =
+	    malloc(sizeof (usb_device_request_setup_packet_t));
 	usb_hub_set_port_status_request(result, port);
 	return result;
@@ -108,7 +106,6 @@
  */
 static inline void usb_hub_set_enable_port_feature_request(
-	usb_device_request_setup_packet_t * request, uint16_t port,
-	uint16_t feature_selector
-	) {
+    usb_device_request_setup_packet_t *request, uint16_t port,
+    uint16_t feature_selector) {
 	request->index = port;
 	request->request_type = USB_HUB_REQ_TYPE_SET_PORT_FEATURE;
@@ -125,7 +122,7 @@
  */
 static inline void usb_hub_set_disable_port_feature_request(
-	usb_device_request_setup_packet_t * request, uint16_t port,
-	uint16_t feature_selector
-	) {
+    usb_device_request_setup_packet_t *request, uint16_t port,
+    uint16_t feature_selector
+    ) {
 	request->index = port;
 	request->request_type = USB_HUB_REQ_TYPE_SET_PORT_FEATURE;
@@ -141,6 +138,6 @@
  */
 static inline void usb_hub_set_enable_port_request(
-	usb_device_request_setup_packet_t * request, uint16_t port
-	) {
+    usb_device_request_setup_packet_t *request, uint16_t port
+    ) {
 	request->index = port;
 	request->request_type = USB_HUB_REQ_TYPE_SET_PORT_FEATURE;
@@ -157,6 +154,6 @@
 static inline usb_device_request_setup_packet_t *
 usb_hub_create_enable_port_request(uint16_t port) {
-	usb_device_request_setup_packet_t * result =
-		malloc(sizeof(usb_device_request_setup_packet_t));
+	usb_device_request_setup_packet_t *result =
+	    malloc(sizeof (usb_device_request_setup_packet_t));
 	usb_hub_set_enable_port_request(result, port);
 	return result;
@@ -169,6 +166,6 @@
  */
 static inline void usb_hub_set_disable_port_request(
-	usb_device_request_setup_packet_t * request, uint16_t port
-	) {
+    usb_device_request_setup_packet_t *request, uint16_t port
+    ) {
 	request->index = port;
 	request->request_type = USB_HUB_REQ_TYPE_SET_PORT_FEATURE;
@@ -185,6 +182,6 @@
 static inline usb_device_request_setup_packet_t *
 usb_hub_create_disable_port_request(uint16_t port) {
-	usb_device_request_setup_packet_t * result =
-		malloc(sizeof(usb_device_request_setup_packet_t));
+	usb_device_request_setup_packet_t *result =
+	    malloc(sizeof (usb_device_request_setup_packet_t));
 	usb_hub_set_disable_port_request(result, port);
 	return result;
@@ -197,6 +194,6 @@
  */
 static inline void usb_hub_set_reset_port_request(
-	usb_device_request_setup_packet_t * request, uint16_t port
-	) {
+    usb_device_request_setup_packet_t *request, uint16_t port
+    ) {
 	request->index = port;
 	request->request_type = USB_HUB_REQ_TYPE_SET_PORT_FEATURE;
@@ -213,6 +210,6 @@
 static inline usb_device_request_setup_packet_t *
 usb_hub_create_reset_port_request(uint16_t port) {
-	usb_device_request_setup_packet_t * result =
-		malloc(sizeof(usb_device_request_setup_packet_t));
+	usb_device_request_setup_packet_t *result =
+	    malloc(sizeof (usb_device_request_setup_packet_t));
 	usb_hub_set_reset_port_request(result, port);
 	return result;
@@ -225,6 +222,6 @@
  */
 static inline void usb_hub_set_power_port_request(
-	usb_device_request_setup_packet_t * request, uint16_t port
-	) {
+    usb_device_request_setup_packet_t *request, uint16_t port
+    ) {
 	request->index = port;
 	request->request_type = USB_HUB_REQ_TYPE_SET_PORT_FEATURE;
@@ -240,6 +237,6 @@
  */
 static inline void usb_hub_unset_power_port_request(
-	usb_device_request_setup_packet_t * request, uint16_t port
-	) {
+    usb_device_request_setup_packet_t *request, uint16_t port
+    ) {
 	request->index = port;
 	request->request_type = USB_HUB_REQ_TYPE_SET_PORT_FEATURE;
@@ -257,5 +254,5 @@
  */
 static inline bool usb_port_is_status(usb_port_status_t status, int idx) {
-	return (status&(1 << idx))!=0;
+	return (status & (1 << idx)) != 0;
 }
 
@@ -268,8 +265,8 @@
  */
 static inline void usb_port_status_set_bit(
-	usb_port_status_t * status, int idx, bool value) {
+    usb_port_status_t * status, int idx, bool value) {
 	(*status) = value ?
-		((*status) | (1 << (idx))) :
-		((*status)&(~(1 << (idx))));
+	    ((*status) | (1 << (idx))) :
+	    ((*status)&(~(1 << (idx))));
 }
 
@@ -282,5 +279,5 @@
  */
 static inline bool usb_hub_is_status(usb_hub_status_t status, int idx) {
-	return (status&(1 << idx))!=0;
+	return (status & (1 << idx)) != 0;
 }
 
@@ -293,141 +290,10 @@
  */
 static inline void usb_hub_status_set_bit(
-	usb_hub_status_t * status, int idx, bool value) {
+    usb_hub_status_t *status, int idx, bool value) {
 	(*status) = value ?
-		((*status) | (1 << (idx))) :
-		((*status)&(~(1 << (idx))));
-}
-
-
-#if 0
-/**
- * connection status geter for port status
- * 
- * @param status
- * @return true if there is something connected
- */
-static inline bool usb_port_dev_connected(usb_port_status_t * status) {
-	return usb_port_get_bit(status, 0);
-}
-
-/**
- * set device connected bit in port status
- *
- * @param status
- * @param connected value of the bit
- */
-static inline void usb_port_set_dev_connected(usb_port_status_t * status, bool connected) {
-	usb_port_set_bit(status, 0, connected);
-}
-
-//port enabled
-
-/**
- * port enabled getter for port status
- * 
- * @param status
- * @return true if the port is enabled
- */
-static inline bool usb_port_enabled(usb_port_status_t * status) {
-	return usb_port_get_bit(status, 1);
-}
-
-/**
- * set port enabled bit in port status
- *
- * @param status
- * @param enabled value of the bit
- */
-static inline void usb_port_set_enabled(usb_port_status_t * status, bool enabled) {
-	usb_port_set_bit(status, 1, enabled);
-}
-
-//port suspended
-/**
- * port suspended getter for port status
- *
- * @param status
- * @return true if port is suspended
- */
-static inline bool usb_port_suspended(usb_port_status_t * status) {
-	return usb_port_get_bit(status, 2);
-}
-
-/**
- * set port suspended bit in port status
- *
- * @param status
- * @param suspended value of the bit
- */
-static inline void usb_port_set_suspended(usb_port_status_t * status, bool suspended) {
-	usb_port_set_bit(status, 2, suspended);
-}
-
-//over currect
-/**
- * over current condition indicator getter for port status
- *
- * @param status
- * @return true if there is opver-current condition on the hub
- */
-static inline bool usb_port_over_current(usb_port_status_t * status) {
-	return usb_port_get_bit(status, 3);
-}
-
-/**
- * set over current indicator bit in port status
- *
- * @param status
- * @param value value of the bit
- */
-static inline void usb_port_set_over_current(usb_port_status_t * status, bool value) {
-	usb_port_set_bit(status, 3, value);
-}
-
-//port reset
-/**
- * port reset indicator getter for port status
- * 
- * @param status
- * @return true if port is reset
- */
-static inline bool usb_port_reset(usb_port_status_t * status) {
-	return usb_port_get_bit(status, 4);
-}
-
-/**
- * set port reset bit in port status
- *
- * @param status
- * @param value value of the bit
- */
-static inline void usb_port_set_reset(usb_port_status_t * status, bool value) {
-	usb_port_set_bit(status, 4, value);
-}
-
-//powered
-/**
- * power state getter for port status
- *
- * @param status
- * @return true if port is powered
- */
-static inline bool usb_port_powered(usb_port_status_t * status) {
-	return usb_port_get_bit(status, 8);
-}
-
-/**
- * set port powered bit in port status
- *
- * @param status
- * @param powered value of the bit
- */
-static inline void usb_port_set_powered(usb_port_status_t * status, bool powered) {
-	usb_port_set_bit(status, 8, powered);
-}
-
-#endif
-
-//low speed device attached
+	    ((*status) | (1 << (idx))) :
+	    ((*status)&(~(1 << (idx))));
+}
+
 /**
  * low speed device on the port indicator
@@ -446,9 +312,10 @@
  * @param low_speed value of the bit
  */
-static inline void usb_port_set_low_speed(usb_port_status_t * status, bool low_speed) {
+static inline void usb_port_set_low_speed(usb_port_status_t *status, bool low_speed) {
 	usb_port_status_set_bit(status, 9, low_speed);
 }
 
 //high speed device attached
+
 /**
  * high speed device on the port indicator
@@ -467,5 +334,5 @@
  * @param high_speed value of the bit
  */
-static inline void usb_port_set_high_speed(usb_port_status_t * status, bool high_speed) {
+static inline void usb_port_set_high_speed(usb_port_status_t *status, bool high_speed) {
 	usb_port_status_set_bit(status, 10, high_speed);
 }
@@ -485,197 +352,4 @@
 }
 
-#if 0
-//connect change
-/**
- * port connect change indicator
- *
- * @param status
- * @return true if connection has changed
- */
-static inline bool usb_port_connect_change(usb_port_status_t * status) {
-	return usb_port_get_bit(status, 16);
-}
-
-/**
- * set connection change bit in port status
- * @param status
- * @param change value of the bit
- */
-static inline void usb_port_set_connect_change(usb_port_status_t * status, bool change) {
-	usb_port_set_bit(status, 16, change);
-}
-
-//port enable change
-/**
- * port enable change for port status
- *
- * @param status
- * @return true if the port has been enabled/disabled
- */
-static inline bool usb_port_enabled_change(usb_port_status_t * status) {
-	return usb_port_get_bit(status, 17);
-}
-
-/**
- * set port enable change bit in port status
- *
- * @param status
- * @param change value of the bit
- */
-static inline void usb_port_set_enabled_change(usb_port_status_t * status, bool change) {
-	usb_port_set_bit(status, 17, change);
-}
-
-//suspend change
-/**
- * port suspend change for port status
- * 
- * @param status
- * @return ture if suspend status has changed
- */
-static inline bool usb_port_suspend_change(usb_port_status_t * status) {
-	return usb_port_get_bit(status, 18);
-}
-
-/**
- * set port suspend change bit in port status
- *
- * @param status
- * @param change value of the bit
- */
-static inline void usb_port_set_suspend_change(usb_port_status_t * status, bool change) {
-	usb_port_set_bit(status, 18, change);
-}
-
-//over current change
-/**
- * over current change indicator
- * 
- * @param status
- * @return true if over-current condition on port has changed
- */
-static inline bool usb_port_overcurrent_change(usb_port_status_t * status) {
-	return usb_port_get_bit(status, 19);
-}
-
-/**
- * set port over current change bit in port status
- *
- * @param status
- * @param change value of the bit
- */
-static inline void usb_port_set_overcurrent_change(usb_port_status_t * status, bool change) {
-	usb_port_set_bit(status, 19, change);
-}
-
-//reset change
-/**
- * port reset change indicator
- * @param status
- * @return true if port has been reset
- */
-static inline bool usb_port_reset_completed(usb_port_status_t * status) {
-	return usb_port_get_bit(status, 20);
-}
-
-/**
- * set port reset completed bit in port status
- *
- * @param status
- * @param change value of the bit
- */
-static inline void usb_port_set_reset_completed(usb_port_status_t * status, bool completed) {
-	usb_port_set_bit(status, 20, completed);
-}
-
-//local power status
-/**
- * local power lost indicator for hub status
- * 
- * @param status
- * @return true if hub is not powered
- */
-static inline bool usb_hub_local_power_lost(usb_hub_status_t * status) {
-	return usb_hub_get_bit(status, 0);
-}
-
-/**
- * set hub power lost bit in hub status
- *
- * @param status
- * @param change value of the bit
- */
-static inline void usb_hub_set_local_power_lost(usb_port_status_t * status,
-	bool power_lost) {
-	usb_hub_set_bit(status, 0, power_lost);
-}
-
-//over current ocndition
-/**
- * hub over-current indicator
- *
- * @param status
- * @return true if over-current condition occurred on hub
- */
-static inline bool usb_hub_over_current(usb_hub_status_t * status) {
-	return usb_hub_get_bit(status, 1);
-}
-
-/**
- * set hub over current bit in hub status
- *
- * @param status
- * @param change value of the bit
- */
-static inline void usb_hub_set_over_current(usb_port_status_t * status,
-	bool over_current) {
-	usb_hub_set_bit(status, 1, over_current);
-}
-
-//local power change
-/**
- * hub power change indicator
- *
- * @param status
- * @return true if local power status has been changed - power has been
- * dropped or re-established
- */
-static inline bool usb_hub_local_power_change(usb_hub_status_t * status) {
-	return usb_hub_get_bit(status, 16);
-}
-
-/**
- * set hub power change bit in hub status
- *
- * @param status
- * @param change value of the bit
- */
-static inline void usb_hub_set_local_power_change(usb_port_status_t * status,
-	bool change) {
-	usb_hub_set_bit(status, 16, change);
-}
-
-//local power status
-/**
- * hub over-current condition change indicator
- *
- * @param status
- * @return true if over-current condition has changed
- */
-static inline bool usb_hub_over_current_change(usb_hub_status_t * status) {
-	return usb_hub_get_bit(status, 17);
-}
-
-/**
- * set hub over current change bit in hub status
- *
- * @param status
- * @param change value of the bit
- */
-static inline void usb_hub_set_over_current_change(usb_port_status_t * status,
-	bool change) {
-	usb_hub_set_bit(status, 17, change);
-}
-#endif
 
 
Index: uspace/drv/usbhub/ports.h
===================================================================
--- uspace/drv/usbhub/ports.h	(revision 5c1a65eaff89a7a535a118d7c745e903ae5f2eee)
+++ uspace/drv/usbhub/ports.h	(revision 6ab7f3e94742316cc6a565a1bcb864ad3709c914)
@@ -70,5 +70,5 @@
 
 
-void usb_hub_process_interrupt(usb_hub_info_t * hub,
+void usb_hub_process_interrupt(usb_hub_info_t *hub,
 	uint16_t port);
 
Index: uspace/drv/usbhub/usbhub.c
===================================================================
--- uspace/drv/usbhub/usbhub.c	(revision 5c1a65eaff89a7a535a118d7c745e903ae5f2eee)
+++ uspace/drv/usbhub/usbhub.c	(revision 6ab7f3e94742316cc6a565a1bcb864ad3709c914)
@@ -73,5 +73,5 @@
 
 static void usb_hub_polling_terminated_callback(usb_device_t *device,
-    bool was_error, void * data);
+    bool was_error, void *data);
 
 
Index: uspace/drv/usbhub/usbhub.h
===================================================================
--- uspace/drv/usbhub/usbhub.h	(revision 5c1a65eaff89a7a535a118d7c745e903ae5f2eee)
+++ uspace/drv/usbhub/usbhub.h	(revision 6ab7f3e94742316cc6a565a1bcb864ad3709c914)
@@ -51,8 +51,6 @@
 #include "ports.h"
 
-
-
 /** Information about attached hub. */
-struct usb_hub_info_t{
+struct usb_hub_info_t {
 	/** Number of ports. */
 	size_t port_count;
@@ -106,7 +104,5 @@
 };
 
-//int usb_hub_control_loop(void * hub_info_param);
-
-int usb_hub_add_device(usb_device_t * usb_dev);
+int usb_hub_add_device(usb_device_t *usb_dev);
 
 bool hub_port_changes_callback(usb_device_t *dev,
Index: uspace/drv/usbhub/usbhub_private.h
===================================================================
--- uspace/drv/usbhub/usbhub_private.h	(revision 5c1a65eaff89a7a535a118d7c745e903ae5f2eee)
+++ uspace/drv/usbhub/usbhub_private.h	(revision 6ab7f3e94742316cc6a565a1bcb864ad3709c914)
@@ -65,6 +65,6 @@
  */
 static inline void usb_hub_set_descriptor_request(
-usb_device_request_setup_packet_t * request
-){
+    usb_device_request_setup_packet_t * request
+    ) {
 	request->index = 0;
 	request->request_type = USB_HUB_REQ_TYPE_GET_DESCRIPTOR;
@@ -87,5 +87,5 @@
     int port_index,
     usb_hub_class_feature_t feature) {
-	
+
 	usb_device_request_setup_packet_t clear_request = {
 		.request_type = USB_HUB_REQ_TYPE_CLEAR_PORT_FEATURE,
@@ -96,5 +96,5 @@
 	clear_request.value = feature;
 	return usb_pipe_control_write(pipe, &clear_request,
-	    sizeof(clear_request), NULL, 0);
+	    sizeof (clear_request), NULL, 0);
 }
 
@@ -120,7 +120,6 @@
 	clear_request.value = feature;
 	return usb_pipe_control_write(pipe, &clear_request,
-	    sizeof(clear_request), NULL, 0);
+	    sizeof (clear_request), NULL, 0);
 }
-
 
 /**
@@ -142,5 +141,5 @@
 	clear_request.value = feature;
 	return usb_pipe_control_write(pipe, &clear_request,
-	    sizeof(clear_request), NULL, 0);
+	    sizeof (clear_request), NULL, 0);
 }
 
@@ -163,5 +162,5 @@
 	clear_request.value = feature;
 	return usb_pipe_control_write(pipe, &clear_request,
-	    sizeof(clear_request), NULL, 0);
+	    sizeof (clear_request), NULL, 0);
 }
 
Index: uspace/drv/usbhub/utils.c
===================================================================
--- uspace/drv/usbhub/utils.c	(revision 5c1a65eaff89a7a535a118d7c745e903ae5f2eee)
+++ uspace/drv/usbhub/utils.c	(revision 6ab7f3e94742316cc6a565a1bcb864ad3709c914)
@@ -62,14 +62,14 @@
  * @return newly created serializd descriptor pointer
  */
-void * usb_create_serialized_hub_descriptor(usb_hub_descriptor_t * descriptor) {
+void * usb_create_serialized_hub_descriptor(usb_hub_descriptor_t *descriptor) {
 	//base size
 	size_t size = 7;
 	//variable size according to port count
-	size_t var_size = (descriptor->ports_count+7)/8;
+	size_t var_size = (descriptor->ports_count + 7) / 8;
 	size += 2 * var_size;
 	uint8_t * result = malloc(size);
 	//size
-	if(result)
-		usb_serialize_hub_descriptor(descriptor,result);
+	if (result)
+		usb_serialize_hub_descriptor(descriptor, result);
 	return result;
 }
@@ -82,5 +82,5 @@
  * @param serialized_descriptor
  */
-void usb_serialize_hub_descriptor(usb_hub_descriptor_t * descriptor,
+void usb_serialize_hub_descriptor(usb_hub_descriptor_t *descriptor,
     void * serialized_descriptor) {
 	//base size
@@ -88,5 +88,5 @@
 	size_t size = 7;
 	//variable size according to port count
-	size_t var_size = (descriptor->ports_count+7)/8;
+	size_t var_size = (descriptor->ports_count + 7) / 8;
 	size += 2 * var_size;
 	//size
@@ -110,5 +110,4 @@
 }
 
-
 /**
  * create deserialized desriptor structure out of serialized descriptor
@@ -121,5 +120,5 @@
  */
 usb_hub_descriptor_t * usb_create_deserialized_hub_desriptor(
-void * serialized_descriptor) {
+    void *serialized_descriptor) {
 	uint8_t * sdescriptor = serialized_descriptor;
 
@@ -130,7 +129,7 @@
 	}
 
-	usb_hub_descriptor_t * result = malloc(sizeof(usb_hub_descriptor_t));
-	if(result)
-		usb_deserialize_hub_desriptor(serialized_descriptor,result);
+	usb_hub_descriptor_t * result = malloc(sizeof (usb_hub_descriptor_t));
+	if (result)
+		usb_deserialize_hub_desriptor(serialized_descriptor, result);
 	return result;
 }
@@ -144,5 +143,5 @@
  */
 void usb_deserialize_hub_desriptor(
-void * serialized_descriptor, usb_hub_descriptor_t * descriptor) {
+    void * serialized_descriptor, usb_hub_descriptor_t *descriptor) {
 	uint8_t * sdescriptor = serialized_descriptor;
 	descriptor->ports_count = sdescriptor[2];
@@ -151,5 +150,5 @@
 	descriptor->pwr_on_2_good_time = sdescriptor[5];
 	descriptor->current_requirement = sdescriptor[6];
-	size_t var_size = (descriptor->ports_count+7) / 8;
+	size_t var_size = (descriptor->ports_count + 7) / 8;
 	//descriptor->devices_removable = (uint8_t*) malloc(var_size);
 
